using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
    /// <summary>
    /// 公告
    /// </summary> 
    [Description("公告")]
    public partial class T_PF_ANNOURCEMENT : MesEntityBase
    {
        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(300)]
        public string TITLE { get; set; }

        /// <summary>
        /// 摘要
        /// </summary>
        [Description("摘要")]
        [FormFieldEdit]
        [DataFieldLength(1000)]
        public string ABSTRACT { get; set; }

        /// <summary>
        /// 开始日期
        /// </summary>
        [Description("开始日期")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public DateTime START { get; set; }

        /// <summary>
        /// 结束日期
        /// </summary>
        [Description("结束日期")]
        [FormFieldEdit]
        [FormFieldTable]
        public DateTime? END { get; set; }

        /// <summary>
        /// 正文
        /// </summary>
        [Description("正文")]
        [FormFieldEdit]
        [FormFieldTable]
        [DataFieldLength(5000)]
        public string CONTENT { get; set; }

        /// <summary>
        /// 序号
        /// </summary>
        [Description("序号")]
        [FormFieldEdit]
        [FormFieldTable]
        public int NUM { get; set; }

        /// <summary>
        /// 是否发布
        /// </summary>
        [Description("是否发布")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public bool ISPUBLISH { get; set; }

        /// <summary>
        /// 启用标志 0 启用 1禁用
        /// </summary>
        [Description("启用标志")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public Enums.FMEnableStatusEnum ENABLE_STATUS { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [Description("附件")]
        public ICollection<T_PF_ANNOURCEMENT_FILE> Nav_Files { get; set; }

        /// <summary>
        /// 是否集团公告
        /// </summary>
        [Description("是否集团公告")]
        public bool ISHEAD { get; set; }

        /// <summary>
        /// 下发哪些子公司
        /// </summary>
        [Description("下发哪些子公司")]
        public ICollection<T_PF_ANNOURCEMENT_ORG> Nav_Orgs { get; set; }

        /// <summary>
        /// 撰稿人
        /// </summary>
        [Description("撰稿人")]
        [DataFieldIngore]
        public string CREATE_USER_NAME { get; set; }
    }
}